#include <PSX/GPU/GPU.hpp>

namespace GPU {
    namespace Screen {
        #ifdef JABYENGINE_PAL
            static constexpr uint16_t ScanlinesV = 288;
        #else
            static constexpr uint16_t ScanlinesV = 240;
        #endif //JABYENGINE_PAL

        void set_offset(uint16_t x, uint16_t y) {
            GP1.write(Command::GP1::HorizontalDisplayRange(x, (x + Display::Width*8)));
            GP1.write(Command::GP1::VerticalDisplayRange(y - (ScanlinesV/2), y + (ScanlinesV/2)));
        }
    }
}